=== debian/changelog ===
mongo-cxx-driver-legacy (1.1.2-6ubuntu3) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:54:32 +0000

mongo-cxx-driver-legacy (1.1.2-6ubuntu2) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:20:27 +0000

mongo-cxx-driver-legacy (1.1.2-6ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip crypto_test for now on buildds as they timeout and segfault.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Sep 2017 12:11:34 +0200

mongo-cxx-driver-legacy (1.1.2-6) unstable; urgency=medium

  * Build using -D_DEFAULT_SOURCE; fixes FTBFS with GCC 7 (Closes: #853554)
  * Bump Standards to 4.0.1; no changes needed
  * Bump compat to 10

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 01 Sep 2017 16:14:20 +0300

mongo-cxx-driver-legacy (1.1.2-5ubuntu1) zesty; urgency=medium

  * Skip crypto_test for now on buildds as they timeout and segfault.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 25 Feb 2017 09:48:54 +0530

mongo-cxx-driver-legacy (1.1.2-5) unstable; urgency=medium

  * libmongoclient-dev: Use versioned Breaks/Replaces instead of Conflicts
    with mongodb-dev (Closes: #847095)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 05 Dec 2016 17:21:28 +0200

mongo-cxx-driver-legacy (1.1.2-4) unstable; urgency=medium

  [ Radovan Birdic <Radovan.Birdic@imgtec.com> ]
  * Add patch to fix FTBFS on mips{,el}.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 28 Nov 2016 18:20:18 +0100

mongo-cxx-driver-legacy (1.1.2-3) unstable; urgency=medium

  * Fix self-tests FTBFS with adding tzdata to build depends (closes: #844953).
  * Update homepage.
  * Add myself to uploaders.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 19 Nov 2016 08:22:42 +0000

mongo-cxx-driver-legacy (1.1.2-2) unstable; urgency=medium

  * Fix FTBFS with GCC 6.1 (test failure).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 11 Nov 2016 19:36:27 +0200

mongo-cxx-driver-legacy (1.1.2-1) unstable; urgency=medium

  * New upstream release
  * Place the package under pkg-mongodb
    + Add Giulio and myself to Uploaders
  * Drop 1002_fix_compilation_on_freebsd_and_hurd.patch
  * Refresh patches remaining patches
  * Set SONAME to libmongoclient.so.0; upstream does not provide a SONAME
    currently, but will do so in the future.
  * Fix building against OpenSSL 1.1.
  * Enable C++11 mode and use std::regex instead of boost::regex
  * Make packages Multi-Arch: same
  * Include versioned dependency in .shlibs
  * Add mongodb-dev transitional binary package (moved from mongodb-server)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 10 Nov 2016 17:42:47 +0200

mongo-cxx-driver-legacy (1.1.1-2) experimental; urgency=medium

  * Limit libssl-dev version (<< 1.1) in build dependencies.
  * Forward 1001_fix_several_issues.patch.
  * Add 1002_fix_compilation_on_freebsd_and_hurd.patch.

 -- Giulio Paci <giuliopaci@gmail.com>  Mon, 13 Jun 2016 08:21:31 +0200

mongo-cxx-driver-legacy (1.1.1-1) experimental; urgency=medium

  * Initial release.
    Closes: #818286

 -- Giulio Paci <giuliopaci@gmail.com>  Mon, 23 May 2016 09:32:23 +0200
