=== debian/control ===
Source: mongo-cxx-driver-legacy
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian MongoDB Maintainers <pkg-mongodb-maintainers@lists.alioth.debian.org>
Uploaders: Giulio Paci <giuliopaci@gmail.com>,
           Apollon Oikonomopoulos <apoikos@debian.org>,
           Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 10),
               devscripts,
               dh-buildinfo,
               dh-exec,
               libboost-dev,
               libboost-thread-dev,
               libgtest-dev,
               libjsoncpp-dev,
               libsasl2-dev,
               libssl-dev,
               tzdata,
               scons (>= 2.3.0)
Standards-Version: 4.0.1
Vcs-Git: https://anonscm.debian.org/git/pkg-mongodb/mongo-cxx-driver-legacy.git -b debian
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mongodb/mongo-cxx-driver-legacy.git
Homepage: https://mongodb.github.io/mongo-cxx-driver/

Package: libmongoclient-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmongoclient0 (= ${binary:Version}), ${misc:Depends}
Breaks: mongodb-dev (<< 2:1.1.2-1~)
Replaces: mongodb-dev (<< 2:1.1.2-1~)
Description: MongoDB C++ Driver (development)
 This package provides C++ development file to interact with MongoDB.
 This is the legacy C++ driver and currently supports MongoDB 2.4, 2.6,
 3.0 and 3.2.
 .
 This package contains the development support files.

Package: libmongoclient0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: MongoDB C++ Driver (runtime)
 This package provides C++ development file to interact with MongoDB.
 This is the legacy C++ driver and currently supports MongoDB 2.4, 2.6,
 3.0 and 3.2.
 .
 This package includes the shared library.

Package: mongodb-dev
Architecture: all
Section: oldlibs
Priority: extra
Depends: libmongoclient-dev, ${misc:Depends}
Description: MongoDB C++ Driver (transitional package)
 This is a transitional dummy package and can be safely removed.
