=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/legacy-(\d\S*)\.tar\.gz/<project>-legacy-$1\.tar\.gz/ \
	https://github.com/mongodb/mongo-cxx-driver/tags .*/legacy-(\d\S*)\.tar\.gz
