## mongo-cxx-driver-legacy 1.1.3

=== debian/changelog ===
mongo-cxx-driver-legacy (1.1.3-3) unstable; urgency=medium

  * Fix FTBFS with Boost 1.67 (Closes: #911888)
  * Bump Standards-Version to 4.2.1; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 06 Dec 2018 23:00:28 +0200

mongo-cxx-driver-legacy (1.1.3-2) unstable; urgency=medium

  * Split override_dh_install into -arch and -indep (Closes: #902424)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 26 Jun 2018 17:52:57 +0300

mongo-cxx-driver-legacy (1.1.3-1) unstable; urgency=medium

  * New upstream release
  * Bump dh compat to 11
    + Drop --parallel from dh invocation
  * Bump Standards-Version to 4.1.4
    + Remove Priority: extra from mongodb-dev
  * Change maintainer address to tracker.d.o (Closes: #899612)
  * Switch Vcs-* URLs to salsa.d.o
  * d/copyright: bump years
  * Install arch-specific header files under /usr/include/<triplet> (Closes:
    #874228)
  * Drop unused lintian overrides
  * d/rules: use dpkg-provided macros instead of parsing d/changelog
  * d/rules: drop get-orig-source target
  * d/control: place libmongoclient0 in Section: libs

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 20 Jun 2018 17:04:28 +0300
