=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: mongo-cxx-driver-legacy
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian MongoDB Maintainers <pkg-mongodb-maintainers@lists.alioth.debian.org>
+Maintainer: Debian MongoDB Maintainers <team+mongodb@tracker.debian.org>
 Uploaders: Giulio Paci <giuliopaci@gmail.com>,
            Apollon Oikonomopoulos <apoikos@debian.org>,
            Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                devscripts,
                dh-buildinfo,
                dh-exec,
@@ -18,9 +17,9 @@
                libssl-dev,
                tzdata,
                scons (>= 2.3.0)
-Standards-Version: 4.0.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-mongodb/mongo-cxx-driver-legacy.git -b debian
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mongodb/mongo-cxx-driver-legacy.git
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/mongodb-team/mongo-cxx-driver-legacy.git -b debian
+Vcs-Browser: https://salsa.debian.org/mongodb-team/mongo-cxx-driver-legacy
 Homepage: https://mongodb.github.io/mongo-cxx-driver/
 
 Package: libmongoclient-dev
@@ -40,6 +39,7 @@
 Package: libmongoclient0
 Architecture: any
 Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: MongoDB C++ Driver (runtime)
  This package provides C++ development file to interact with MongoDB.
@@ -51,7 +51,6 @@
 Package: mongodb-dev
 Architecture: all
 Section: oldlibs
-Priority: extra
 Depends: libmongoclient-dev, ${misc:Depends}
 Description: MongoDB C++ Driver (transitional package)
  This is a transitional dummy package and can be safely removed.
