=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 export DH_VERBOSE = 1
 SCONS=scons
 
-DVERSION = $(shell dpkg-parsechangelog -SVersion)
-
 %:
-	dh $@ --parallel
+	dh $@
 
 SCONS_COMPILE_FLAGS=             \
     --ssl=SSL                    \
@@ -55,6 +55,17 @@
 		if [ -d "$$i".backup ]; then rm -fr "$$i"; mv -v -f "$$i".backup "$$i"; fi ; \
 	done
 
+override_dh_install-arch:
+	dh_install
+	# Move generated header files to the arch-specific include path
+	install -d "$(CURDIR)/debian/libmongoclient-dev/usr/include/$${DEB_HOST_MULTIARCH}/mongo"
+	mv $(CURDIR)/debian/libmongoclient-dev/usr/include/mongo/config.h \
+		$(CURDIR)/debian/libmongoclient-dev/usr/include/mongo/version.h \
+		"$(CURDIR)/debian/libmongoclient-dev/usr/include/$${DEB_HOST_MULTIARCH}/mongo"
+
+override_dh_install-indep:
+
+
 override_dh_auto_install:
 	$(SCONS) install --prefix=$(CURDIR)/tmp $(SCONS_COMPILE_FLAGS)
 
@@ -64,7 +75,4 @@
 override_dh_gencontrol:
 	dh_gencontrol -Nmongodb-dev
 	# Bump the epoch of mongodb-dev
-	dh_gencontrol -pmongodb-dev -- -v2:$(DVERSION)
-
-get-orig-source:
-	uscan --no-conf --repack --compress=xz --download-current-version --destdir $(CURDIR)/ --check-dirname-level 0 --force-download $(CURDIR)
+	dh_gencontrol -pmongodb-dev -- -v2:$(DEB_VERSION)
